%if 0%{?el7}
%define dist .el7
%endif

Name:           spamassassin-DecodeShortURLs
Version:        0.11
Release:        5%{?dist}
Summary:        looks for URLs shortened by a list of URL shortening services

Group:          Applications/Internet
License:        ASL 2.0
URL:            https://github.com/smfreegard/DecodeShortURLs
# git clone https://github.com/smfreegard/DecodeShortURLs.git
Source0:        DecodeShortURLs-%{version}.tar.xz

Patch0:         %{name}-logdate.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl

BuildArch:      noarch
Requires:       spamassassin

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This plugin looks for URLs shortened by a list of URL shortening services and upon finding a matching URL will connect using to the shortening service and do an HTTP HEAD lookup and retrieve the location header which points to the actual shortened URL, it then adds this URL to the list of URIs extracted by SpamAssassin which can then be accessed by other plug-ins, such as URIDNSBL.

%prep
%setup -q -n DecodeShortURLs
%patch0 -p1
%{__perl} -pi -e 's|DecodeShortURLs.pm|%{perl_vendorlib}/DecodeShortURLs.pm|' DecodeShortURLs.cf
mv -f README.md README

%build
# nothing to do here

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d $RPM_BUILD_ROOT/%{_sysconfdir}/mail/spamassassin
%{__install} -d $RPM_BUILD_ROOT/%{perl_vendorlib}
%{__cp} DecodeShortURLs.cf $RPM_BUILD_ROOT/%{_sysconfdir}/mail/spamassassin/
%{__cp} DecodeShortURLs.pm $RPM_BUILD_ROOT/%{perl_vendorlib}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/*
%config(noreplace) %{_sysconfdir}/mail/spamassassin/DecodeShortURLs.cf

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.11-5
- Update dist for centos7

* Tue Aug 18 2015 momo-i <webmaster@momo-i.org> - 0.11-4
- Update to 0.11

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.11-3
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 0.11-2
- Rebuilt for fc22

* Wed Jan  8 2014 momo-i <webmaster@momo-i.org> - 0.11-1
- Initial rpm release.
